DF(1)

NAME
df - report on free disk space

SYNOPSIS
df [-ikP] [-t type] [file ...]

DESCRIPTION
Df lists the amount of free space on the currently mounted devices (no arguments), or the devices given as arguments. If the argument is not a device then the device it resides on is listed.

OPTIONS
Without options, df will give a listing like this:

Filesystem    1k-Blocks     free     used    %  FUsed%  Mounted on
/dev/c0d0p1s0      1440      635      805  56%    26%   /
/dev/c0d0p1s1     32768    32390      378   2%     1%   /tmp
/dev/c0d0p1s2    784657   517809   266848  35%    29%   /usr

The -i option shifts the focus to the files:

Filesystem        Files     free     used    %  BUsed%  Mounted on
/dev/c0d0p1s0      1024      759      265  26%    56%   /
/dev/c0d0p1s1      5472     5468        4   1%     2%   /tmp
/dev/c0d0p1s2     65535    46734    18801  29%    35%   /usr

Option -P makes df use POSIX defined output in 512 byte units:

Filesystem     512-blocks    Used  Available  Capacity  Mounted on
/dev/c0d0p1s0      2880      1628     1252       57%    /
/dev/c0d0p1s1     65536       756    64780        2%    /tmp
/dev/c0d0p1s2   1569314    533748  1035566       35%    /usr

With -k 1024 byte units would be used.

The -t option limits df's output to file systems of the given type.

FILES

/etc/mtab
    List of mounted file systems.

SEE ALSO
du(1), fstab(5).

BUGS
Default output should also be in 512 byte units says POSIX.

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)